YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Interface IClusteringAxis

Package | com.yahoo.astra.fl.charts.axes
Interface | public interface IClusteringAxis extends IAxis
Implementors | CategoryAxis

An axis that supports clustering. When combined with a series that supports clustering, the number of clusters will allow the series to determine the optimal positioning of markers.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : IChart The chart in which this axis appears. | IAxis
|  | clusterCount : int [read-only] The number of clusters available on the axis. | IClusteringAxis
|  | labelFunction : Function A function may be set to determine the text value of the labels. | IAxis
|  | renderer : IAxisRenderer The visual renderer associated with this axis. | IAxis
|  | reverse : Boolean Sets the direction of the labels and other visual objects along the axis. | IAxis
|  | title : String The text that will appear next to the axis to indicate information about the data that it displays. | IAxis

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | updateScale(data:Array):void Determines the axis scale based on the input data set. | IAxis
|  | valueToLabel(value:Object):String Converts a value on the axis to formatted label text. | IAxis
|  | valueToLocal(value:Object):Number Calculates the position of a data point along the axis. | IAxis

Property detail

clusterCount | property

`clusterCount:int` [read-only]

The number of clusters available on the axis. In the case of the CategoryAxis, this is the number of category names displayed on the axis.

Implementation
`public function get clusterCount():int`

See also

CategoryAxis